%define qtdir /usr/lib/qt-1.44
%define	version 0.3.2
%define name ksendfax
%define release 1

Name: %{name}
Summary: KSendFax
Version: %{version}
Release: %{release}
Source: ksendfax-%{version}.tar.gz
Group: Applications/Communications
Copyright: GPL
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}


%description
KSendFax is an interface to known FAX-Packages like HylaFax, E-Fax or
mgetty+sendfax for sending facsimiles. It incorporates also a
phonebook so that recipients can be saved and selected to/from
this. It is not intended to configure your whole fax-suite, but only
as GUI-interface for an already configured FAX-Package.  

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
CXXFLAGS="$RPM_OPT_FLAGS" %{configure} \
	 --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '\/etc\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT ../file.list.%{name}

%files -f ../file.list.%{name} 

%changelog
* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- adopt for powertools 6.1

* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

